classification
Title: References to non-existant "StringIO" module
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: docs@python, jcea, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2013-08-15 05:01 by jcea, last changed 2013-08-29 08:48 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
doc_StringIO_refs.patch serhiy.storchaka, 2013-08-16 15:34 review
doc_StringIO_refs_2.patch serhiy.storchaka, 2013-08-16 18:31 review
src_StringIO_refs.patch serhiy.storchaka, 2013-08-18 17:51 review
Messages (9)
msg195231 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-08-15 05:01
Doing a "grep StringIO Doc/library/*.rst" shows a handful of references to the old StringIO library. Notably:

gzip.rst
mailbox.rst
tempfile.rst
test.rst
unittest.mock.rst
xml.dom.minidom.rst
msg195340 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 15:34
Here is a patch. Actually this is a small part of larger problem for which I will open several separated issues.
msg195346 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-08-16 16:02
Patch is incomplete. I found this error while reading "unittest.mock", that you are not patching.
msg195385 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 18:17
I don't see StringIO in Doc/library/unittest.mock.rst.
msg195386 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 18:31
Ah, I missed it. Here is completed patch.
msg195411 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-08-16 20:29
LGTM
msg195420 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-16 21:13
New changeset b23ad357c214 by Serhiy Storchaka in branch '3.3':
Issue #18743: Fix references to non-existant "StringIO" module.
http://hg.python.org/cpython/rev/b23ad357c214

New changeset 3acbd7aca856 by Serhiy Storchaka in branch 'default':
Issue #18743: Fix references to non-existant "StringIO" module.
http://hg.python.org/cpython/rev/3acbd7aca856
msg195573 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-18 17:51
Here is a patch which fixes references to StringIO in docstrings and comments and removes redundant code.
msg196446 - (view) Author: Roundup Robot (python-dev) Date: 2013-08-29 08:46
New changeset 6c0f5af2f5a5 by Serhiy Storchaka in branch '3.3':
Issue #18743: Fix references to non-existant "StringIO" module
http://hg.python.org/cpython/rev/6c0f5af2f5a5

New changeset 676bbd5b0254 by Serhiy Storchaka in branch 'default':
Issue #18743: Fix references to non-existant "StringIO" module
http://hg.python.org/cpython/rev/676bbd5b0254

New changeset 8c768bbacd92 by Serhiy Storchaka in branch '2.7':
Issue #18743: Improved cross-references to the StringIO class.
http://hg.python.org/cpython/rev/8c768bbacd92
History
Date User Action Args
2013-08-29 08:48:46serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-08-29 08:46:57python-devsetmessages: + msg196446
2013-08-21 11:45:28serhiy.storchakasetstage: commit review -> patch review
2013-08-18 17:52:00serhiy.storchakasetfiles: + src_StringIO_refs.patch

messages: + msg195573
2013-08-16 21:13:15python-devsetnosy: + python-dev
messages: + msg195420
2013-08-16 20:29:26terry.reedysetnosy: + terry.reedy
messages: + msg195411

type: behavior
stage: patch review -> commit review
2013-08-16 18:39:56serhiy.storchakalinkissue18758 dependencies
2013-08-16 18:31:53serhiy.storchakasetfiles: + doc_StringIO_refs_2.patch

messages: + msg195386
2013-08-16 18:17:26serhiy.storchakasetmessages: + msg195385
2013-08-16 16:02:46jceasetmessages: + msg195346
2013-08-16 15:34:41serhiy.storchakasetfiles: + doc_StringIO_refs.patch
keywords: + patch
messages: + msg195340

stage: needs patch -> patch review
2013-08-16 06:14:57serhiy.storchakasetassignee: docs@python -> serhiy.storchaka
2013-08-15 07:32:17serhiy.storchakasetnosy: + serhiy.storchaka

stage: needs patch
2013-08-15 05:01:51jceacreate